%define name	frmg
%define version	1.0.0
%define release	%mkrel 8

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Small preliminary example of a French grammar based on DyAlog
License:	GPL
Group:		Sciences/Computer science
Source:		ftp://ftp.inria.fr/INRIA/Projects/Atoll/Eric.Clergerie/TAG/%{name}-%{version}.tar.bz2
Url:		http://atoll.inria.fr/packages/packages.html#frmg
Buildrequires:	dyalog
Buildrequires:	dyalog-xml-devel
Buildrequires:	dyalog-sqlite-devel
Buildrequires:	mgtools
Buildrequires:	mgcomp
Buildrequires:	perl-tag_utils
Buildrequires:	libxslt-proc
Buildrequires:  perl(Parse::RecDescent)
#depends on dyalog which doesn't exist on x86_64
ExclusiveArch: %ix86
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
A new small preliminary example of a French grammar generated from a
MetaGrammar and compiled with DyALog

It is based on a previous MetaGrammar (frenchmg), itself based on an previous
version developed by Lionel Clment.

A new simplified notation is been used to simplify the writing of the
MetaGrammar, with still conversion to an XML exchange format.

The MetaGrammar exploits several new functionnalities allowed by mgcomp (MG
compiler) and DyALog to be more compact. We can cite MG classes with namespace
(to use several times a same class but with different namespaces in a terminal
class), free node ordering when possible (interleaving), conditionnal nodes,
...

%package viewer
Summary:	%{name} viewer
Group:		Sciences/Computer science
Requires:	%{name} = %{version}
Requires:	apache-mod_perl

%description viewer
A mod_perl-based viewer for %{name}.

%prep
%setup -q

%build
export LD_LIBRARY_PATH=%{_libdir}/DyALog
%configure --with-modperldir=%{_var}/www/perl
# parallel build is broken
make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL NOTES.txt README
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/*
%{_datadir}/%{name}

%files viewer
%defattr(-,root,root)
%{_var}/www/perl/%{name}



%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.0-8mdv2009.0
+ Revision: 222786
- make it ia32 only as it depends on dyalog which doesn't exist on x86_64
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- import frmg

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.0-6mdv2007.0
- Rebuild

* Tue Apr 18 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.0-5mdk
- Fix BuildRequires using perl Policy

* Tue Apr 18 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.0-4mdk
- Fix BuildRequires

* Mon Apr 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.0-3mdk
- build requires -devel dyalog packages

* Wed Mar 22 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.0-2mdk
- rebuild for new dyalog-xml

* Wed Mar 22 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.0-1mdk
- new version

* Mon Nov 29 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.0.1-2mdk 
- split viewer subpackage to minimize dependencies

* Tue Nov 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.0.1-1mdk 
- first mdk release
